#include "ClientData.h"

ClientData::ClientData()
{
	Reset();
}
ClientData::ClientData(int Acc, string LName, string FName, double Bal)
{
	SetAcc(Acc); SetLName(LName); SetFName(FName); SetBal(Bal);
}
ClientData::~ClientData()
{
	//Empty
}
void	ClientData::Reset()
{
	sprintf(LastName, ""); sprintf(FirstName, ""); Balance = 0.0; AccountNumber = -1;
}
void	ClientData::SetAcc(int Data)
{
	AccountNumber = Data;
}
int		ClientData::GetAcc() const
{
	return AccountNumber;
}
void	ClientData::SetBal(double Data)
{
	Balance = Data;
}
double	ClientData::GetBal() const
{
	return Balance;
}
void	ClientData::SetLName(string Data)
{
	sprintf(LastName, "%s", Data.c_str());
}
string	ClientData::GetLName() const
{
	return LastName;
}
void	ClientData::SetFName(string Data)
{
	sprintf(FirstName, "%s", Data.c_str());
}
string	ClientData::GetFName() const
{
	return FirstName;
}
void	ClientData::SetData(int Acc, string LName, string FName, double Bal)
{
	SetAcc(Acc);
	SetLName(LName);
	SetFName(FName);
	SetBal(Bal);
}